/********************************************************
ļMMA7455.h
  ãMMA7455ٶȴͷļ
  ߣɳǳ
ʱ  䣺2011-08-26
  עMMA7455ٶȴĺ
*********************************************************/

//
#ifndef __MMA7455_H__
#define __MMA7455_H__

#include "mylib.h"



#define MMA_CS		0	
#define MMA_SDO		1
#define MMA_SDA		2
#define MMA_SCL		3

#define MMA_COM		P1OUT
#define MMA_COMD        P1DIR
#define MMA_COMI        P1IN
#define MMA_COM_INIT	MMA_COMD |= 0x0d

#define SET_MMA_CS		MMA_COM |= (1<<MMA_CS)
#define CLR_MMA_CS		MMA_COM &= ~(1<<MMA_CS)
#define SET_MMA_SDO		MMA_COM |= (1<<MMA_SDO)
#define CLR_MMA_SDO		MMA_COM &= ~(1<<MMA_SDO)
#define SET_MMA_SDA		MMA_COM |= (1<<MMA_SDA)
#define CLR_MMA_SDA		MMA_COM &= ~(1<<MMA_SDA)
#define SET_MMA_SCL		MMA_COM |= (1<<MMA_SCL)
#define CLR_MMA_SCL		MMA_COM &= ~(1<<MMA_SCL)


#define MMA_SDO_INPUT	        MMA_COMD &= 	~(1<<MMA_SDO)
#define MMA_SDO_OUTPUT          MMA_COMD |= 	(1<<MMA_SDO)
#define RD_MMA_SDO	        (MMA_COMI&(1<<MMA_SDO))


void MMA_WR_Byte(uchar data);
uchar MMA_RD_Byte();
uchar MMA_RD_Data(uchar cmd);
void MMA_WR_Data(uchar cmd,uchar data);
void MMA7455_Init();



#endif